Page MenuHomePhabricator

[Story] CDN cache article placeholders
Closed, ResolvedPublic

Description

The ArticlePlaceholder special page should get cached in the CDN (Varnish) for 24h, per T142944: Performance and caching considerations for article placeholders accesses.

Related Objects

StatusAssignedTask
Resolvedthiemowmde
DeclinedNone
Resolvedhoo
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
InvalidLydia_Pintscher
ResolvedLucie
ResolvedLucie
InvalidLucie
OpenNone
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
OpenNone
OpenNone
Resolvedhoo
ResolvedLucie
Resolvedoschposch
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
OpenNone
DeclinedNone
OpenNone
StalledNone
Resolvedhoo

Event Timeline

Lucie created this task.Aug 18 2015, 3:45 PM
Lucie raised the priority of this task from to Normal.
Lucie updated the task description. (Show Details)
Lucie added subscribers: Lucie, hoo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2015, 3:45 PM
Lucie moved this task from Broader tickets to Incoming on the ArticlePlaceholder board.
hoo updated the task description. (Show Details)Jan 6 2016, 9:28 PM
hoo set Security to None.
hoo added a comment.Jan 7 2016, 9:47 PM

Use OutputPage::setCdnMaxage for this.

Lucie moved this task from Incoming to Doing on the ArticlePlaceholder board.Apr 1 2016, 11:59 AM
Lucie moved this task from Doing to Incoming on the ArticlePlaceholder board.Apr 12 2016, 2:09 PM
Lucie moved this task from Incoming to Backlog on the ArticlePlaceholder board.Apr 21 2016, 5:40 PM
hoo renamed this task from [Story] Caching for the article placeholders to [Story] CDN cache article placeholders.Aug 14 2016, 5:29 PM
hoo changed the task status from Open to Stalled.

Changed this task to stalled because it's not clear that just caching for 30m is the right thing to do. I'll open a new ticket for the discussion about what to do.

hoo changed the task status from Stalled to Open.Jan 10 2017, 5:40 PM
hoo updated the task description. (Show Details)

Change 334266 had a related patch set uploaded (by Hoo man):
CDN cache article placeholders for 24h

https://gerrit.wikimedia.org/r/334266

hoo claimed this task.Jan 26 2017, 10:18 AM
hoo moved this task from Backlog to Review on the ArticlePlaceholder board.
hoo moved this task from Proposed to Review on the Wikidata-Former-Sprint-Board board.

Change 334266 merged by jenkins-bot:
CDN cache article placeholders for 24h

https://gerrit.wikimedia.org/r/334266

hoo closed this task as Resolved.Jan 26 2017, 12:47 PM
hoo moved this task from Review to Done on the ArticlePlaceholder board.
hoo removed a project: Patch-For-Review.